Package org.kie.api.builder

## Enum Message.Level

- java.lang.Object
- - java.lang.Enum<Message.Level>
  - - org.kie.api.builder.Message.Level

- All Implemented Interfaces:
    `Serializable`, `Comparable<Message.Level>`
  Enclosing interface:
    Message

      public static enum Message.Level
      extends Enum<Message.Level>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ERROR` |
    `INFO` |
    `WARNING` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Message.Level` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Message.Level[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR

          public static final Message.Level ERROR

    - #### WARNING

          public static final Message.Level WARNING

    - #### INFO

          public static final Message.Level INFO

  - ### Method Detail

    - #### values

          public static Message.Level[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Message.Level c : Message.Level.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Message.Level valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null